---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/issues/get-suggest.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Generating suggestions displayed when searching for issues

Use this request to get a list of issues whose summary contains the entered text. The response will only contain the issues the user has access to.

<div class="request_example method_get yfm-clipboard">
    <p>GET</p>
    <pre><code>https://api.tracker.yandex.net/v3/issues/_suggest</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To get a list of issues, use an HTTP `GET` request:

```json
GET /v3/issues/_suggest?input=<text>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

{% cut "Request parameters" %}

**Required parameters**
Parameter | Description | Data type
----- | ----- | -----
input | Text to filter issues. If there is a space between words in the text, the search results will also include matches where any text appears in place of the space. | String

**Additional parameters**
Parameter | Description | Data type
----- | ----- | -----
queue | Key of the queue in which you want to search for issues. | String
full | Option that allows you to view detailed information for each issue in the list. The default value is `false`. Required parameter that enables `fields`, `expand`, and `embed`. | Boolean
fields | Additional issue fields to be passed in the response. You can retrieve the full list of issue fields using the [Getting issue parameters](./get-issue.md) request. <br>To enable this parameter, set `full=true` in the request. |
expand | Additional information to include in the response. Possible values: <ul><li>`all`: All issue parameters.</li><li>`html`: Issue description in HTML format.</li> <li>`attachments`: Attached files.</li> <li>`comments`: Issue comments.</li> <li>`links`: Detailed information about issue links.</li> <li>`localLinkRefs`: Brief information on issue links. </li><li>`aliases`: All issue keys.</li> <li>`transitions`: Workflow transitions between statuses.</li> <li>`permissions`: User permissions for the issue.</li> <li>`sla`: Information on SLA rules.</li> <li>`update_limits`: Issue edit restrictions.</li></ul> To enable this parameter, set `full=true` in the request.| String
embed | More detailed information about parameters specified in `expand`. Possible values: <ul><li>`attachments`: Attached files</li> <li>`comments`: Issue comments.</li> <li>`transitions`: Workflow transitions between statuses</li><li>`sla`: Information on SLA rules.</li></ul> To enable this parameter, set `full=true` in the request. | String

{% endcut %}

> Example: Find any available issues whose summary contains the phrase <q>fix errors</q>. The response output should contain the issue parameters: Summary, Status, Assignee, and Followers.
>
> An HTTP GET method is used.
>
> ```
> GET  https://api.tracker.yandex.net/v3/issues/_suggest?full=true&fields=summary,status,assignee,followers&input=fix+errors
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    The response body contains a JSON array with information about comments:

    ```json
    [
        {
            "self": "https://api.tracker.yandex.net/v3/issues/DOCSUP-80478",
            "id": "11dac33333333a...",
            "key": "COD-80478",
            "version": 749,
            "summary": "Fix critical errors",
            "followers": [
                {
                    "self": "https://api.tracker.yandex.net/v3/users/112000000000....",
                    "id": "testId",
                    "display": "Tatyana Ivanova",
                    "passportUid": 112000000000....
                },
                {
                    "self": "https://api.tracker.yandex.net/v3/users/112000000000....",
                    "id": "testId2",
                    "display": "Evgeny Petrov",
                    "passportUid": 112000000000....
                }
            ],
            "assignee": {
                "self": "https://api.tracker.yandex.net/v3/users/112000000000....",
                "id": "testId2",
                "display": "Evgeny Petrov",
                "passportUid": 112000000000....
            },
            "status": {
                "self": "https://api.tracker.yandex.net/v3/statuses/3",
                "id": "3",
                "key": "closed",
                "display": "Closed"
            },
        },
        ...
    ]
    ```

    {% cut "Response parameters" %}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the issue. | String |
    | id | Issue ID. | String |
    | key | Issue key. | String |
    | version | Issue version. Each change to the issue increases its version number. | Number |
    | summary | Issue name. | String |
    | [followers](#user) | Array of objects with information about issue followers. | Array |
    | [assignee](#user) | Object with information about the issue's assignee. | Map item |
    | [status](#status) | Object with information about the issue status. | Map item |

    `followers` and `assignee` **object fields** {#user}

    <!-- source: en/_includes/api/user.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | String |
    | display | Displayed user name | String |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
    | cloudUid | Unique user ID in Yandex Cloud Organization | String |
    <!-- endsource: en/_includes/api/user.md -->

    `status` **object fields** {#status}

    <!-- source: en/_includes/api/status.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the status. | String |
    | id | Status ID. | String |
    | key | Status key. | String |
    | display | Status name displayed. | String |
    <!-- endsource: en/_includes/api/status.md -->

    {% endcut %}

- Request failed

    If the request is processed incorrectly, the API returns a response with an error code:

    <!-- source: en/_includes/api/answer-error-400.md -->
    400
    :   One or more request parameters have an invalid value.
    <!-- endsource: en/_includes/api/answer-error-400.md -->

    <!-- source: en/_includes/api/answer-error-401.md -->
    401
    :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.com.tr/support/tracker/en/api-ref/access.md) section are performed.
    <!-- endsource: en/_includes/api/answer-error-401.md -->

    <!-- source: en/_includes/api/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/_includes/api/answer-error-404.md -->

{% endlist %}
